org.icefaces.ace.component.accordion

## Class AccordionBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.icefaces.ace.component.accordion.AccordionBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IAccordion
  Direct Known Subclasses:
    Accordion

      public abstract class AccordionBase
      extends javax.faces.component.UIPanel
      implements IAccordion, IceClientBehaviorHolder

  The Accordion is a container component that displays contents in a stacked format.

  For more information, see the Accordion Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `AccordionBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccordionBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `int` | `getActiveIndex()` Return the value of the `activeIndex` property.
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String` | `getEffect()` Return the value of the `effect` property.
    `java.lang.String` | `getEvent()` Return the value of the `event` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `javax.el.MethodExpression` | `getPaneChangeListener()` Return the value of the `paneChangeListener` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTabTitles()` Return the value of the `tabTitles` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `boolean` | `isAutoHeight()` Return the value of the `autoHeight` property.
    `boolean` | `isCache()` Return the value of the `cache` property.
    `boolean` | `isCollapsible()` Return the value of the `collapsible` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `boolean` | `isDynamic()` Return the value of the `dynamic` property.
    `boolean` | `isFillSpace()` Return the value of the `fillSpace` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setActiveIndex(int activeIndex)` Set the value of the `activeIndex` property.
    `void` | `setAutoHeight(boolean autoHeight)` Set the value of the `autoHeight` property.
    `void` | `setCache(boolean cache)` Set the value of the `cache` property.
    `void` | `setCollapsible(boolean collapsible)` Set the value of the `collapsible` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setDynamic(boolean dynamic)` Set the value of the `dynamic` property.
    `void` | `setEffect(java.lang.String effect)` Set the value of the `effect` property.
    `void` | `setEvent(java.lang.String event)` Set the value of the `event` property.
    `void` | `setFillSpace(boolean fillSpace)` Set the value of the `fillSpace` property.
    `void` | `setPaneChangeListener(javax.el.MethodExpression paneChangeListener)` Set the value of the `paneChangeListener` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTabTitles(java.lang.String tabTitles)` Set the value of the `tabTitles` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AccordionBase

          public AccordionBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### setActiveIndex

          public void setActiveIndex(int activeIndex)

      Set the value of the `activeIndex` property.

      Contents: Index of the active pane.

      Specified by:
        `setActiveIndex` in interface `IAccordion`

    - #### getActiveIndex

          public int getActiveIndex()

      Return the value of the `activeIndex` property.

      Contents: Index of the active pane. Default = '0'.

      Specified by:
        `getActiveIndex` in interface `IAccordion`

    - #### setAutoHeight

          public void setAutoHeight(boolean autoHeight)

      Set the value of the `autoHeight` property.

      Contents: When enabled, pane with highest content is used to calculate the height.

      Specified by:
        `setAutoHeight` in interface `IAccordion`

    - #### isAutoHeight

          public boolean isAutoHeight()

      Return the value of the `autoHeight` property.

      Contents: When enabled, pane with highest content is used to calculate the height. Default = 'true'.

      Specified by:
        `isAutoHeight` in interface `IAccordion`

    - #### setCache

          public void setCache(boolean cache)

      Set the value of the `cache` property.

      Contents: Deprecated. Defines if activating a dynamic pane should load the contents from server again. (This attribute is now deprecated. Every pane change will produce a request, and the contents of the panes will be updated if they differ from previous content.)

      Specified by:
        `setCache` in interface `IAccordion`

    - #### isCache

          public boolean isCache()

      Return the value of the `cache` property.

      Contents: Deprecated. Defines if activating a dynamic pane should load the contents from server again. (This attribute is now deprecated. Every pane change will produce a request, and the contents of the panes will be updated if they differ from previous content.) Default = 'true'.

      Specified by:
        `isCache` in interface `IAccordion`

    - #### setCollapsible

          public void setCollapsible(boolean collapsible)

      Set the value of the `collapsible` property.

      Contents: Defines if accordion can be collapsed all together.

      Specified by:
        `setCollapsible` in interface `IAccordion`

    - #### isCollapsible

          public boolean isCollapsible()

      Return the value of the `collapsible` property.

      Contents: Defines if accordion can be collapsed all together. Default = 'false'.

      Specified by:
        `isCollapsible` in interface `IAccordion`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

      Contents: Disables or enables the accordion.

      Specified by:
        `setDisabled` in interface `IAccordion`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Contents: Disables or enables the accordion. Default = 'false'.

      Specified by:
        `isDisabled` in interface `IAccordion`

    - #### setDynamic

          public void setDynamic(boolean dynamic)

      Set the value of the `dynamic` property.

      Contents: Deprecated. Defines the toggle mode. (This attribute is now deprecated. Every pane change will produce a request, and the contents of the panes will be updated if they differ from previous content.)

      Specified by:
        `setDynamic` in interface `IAccordion`

    - #### isDynamic

          public boolean isDynamic()

      Return the value of the `dynamic` property.

      Contents: Deprecated. Defines the toggle mode. (This attribute is now deprecated. Every pane change will produce a request, and the contents of the panes will be updated if they differ from previous content.) Default = 'false'.

      Specified by:
        `isDynamic` in interface `IAccordion`

    - #### setEffect

          public void setEffect(java.lang.String effect)

      Set the value of the `effect` property.

      Contents: Effect to use when toggling the panes.

      Specified by:
        `setEffect` in interface `IAccordion`

    - #### getEffect

          public java.lang.String getEffect()

      Return the value of the `effect` property.

      Contents: Effect to use when toggling the panes. Default = 'slide'.

      Specified by:
        `getEffect` in interface `IAccordion`

    - #### setEvent

          public void setEvent(java.lang.String event)

      Set the value of the `event` property.

      Contents: Client side event to toggle the panes.

      Specified by:
        `setEvent` in interface `IAccordion`

    - #### getEvent

          public java.lang.String getEvent()

      Return the value of the `event` property.

      Contents: Client side event to toggle the panes.

      Specified by:
        `getEvent` in interface `IAccordion`

    - #### setFillSpace

          public void setFillSpace(boolean fillSpace)

      Set the value of the `fillSpace` property.

      Contents: When enabled, accordion fills the height of its parent container.

      Specified by:
        `setFillSpace` in interface `IAccordion`

    - #### isFillSpace

          public boolean isFillSpace()

      Return the value of the `fillSpace` property.

      Contents: When enabled, accordion fills the height of its parent container. Default = 'false'.

      Specified by:
        `isFillSpace` in interface `IAccordion`

    - #### setPaneChangeListener

          public void setPaneChangeListener(javax.el.MethodExpression paneChangeListener)

      Set the value of the `paneChangeListener` property.

      Contents: Server side listener to invoke when active pane changes

      Specified by:
        `setPaneChangeListener` in interface `IAccordion`

    - #### getPaneChangeListener

          public javax.el.MethodExpression getPaneChangeListener()

      Return the value of the `paneChangeListener` property.

      Contents: Server side listener to invoke when active pane changes

      Specified by:
        `getPaneChangeListener` in interface `IAccordion`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Inline style of the container element.

      Specified by:
        `setStyle` in interface `IAccordion`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Inline style of the container element.

      Specified by:
        `getStyle` in interface `IAccordion`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Style class of the container element.

      Specified by:
        `setStyleClass` in interface `IAccordion`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Style class of the container element.

      Specified by:
        `getStyleClass` in interface `IAccordion`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: Name of the widget to access client side api

      Specified by:
        `setWidgetVar` in interface `IAccordion`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: Name of the widget to access client side api

      Specified by:
        `getWidgetVar` in interface `IAccordion`

    - #### setTabTitles

          public void setTabTitles(java.lang.String tabTitles)

      Set the value of the `tabTitles` property.

      Specified by:
        `setTabTitles` in interface `IAccordion`

    - #### getTabTitles

          public java.lang.String getTabTitles()

      Return the value of the `tabTitles` property.

      Specified by:
        `getTabTitles` in interface `IAccordion`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.